diff --git a/kaddressbook/xxport/gnokii_xxport.cpp b/kaddressbook/xxport/gnokii_xxport.cpp
index 564fcf5fb..2d18cef7c 100644
--- a/kaddressbook/xxport/gnokii_xxport.cpp
+++ b/kaddressbook/xxport/gnokii_xxport.cpp
@@ -94,7 +94,7 @@ static TQString makeValidPhone( const TQString &number )
 	TQString num = number.simplifyWhiteSpace();
 	TQString allowed("0123456789*+#pw");
 	for (unsigned int i=num.length(); i>=1; i--)
-		if (allowed.tqfind(num[i-1])==-1)
+		if (allowed.find(num[i-1])==-1)
 			num.remove(i-1,1);
 	if (num.isEmpty())
 		num = "0";
@@ -242,7 +242,7 @@ static gn_error read_phone_entries( const char *memtypestr, gn_memory_type memty
 		// try to split Name into FamilyName and GivenName
 		s = GN_FROM(name).simplifyWhiteSpace();
 		a->setFormattedName(s); // set formatted name as in Phone
-		if (s.tqfind(',') == -1) {
+		if (s.find(',') == -1) {
 		  // assumed format: "givenname [... familyname]"
 		  addrlist = TQStringList::split(' ', s);
 		  if (addrlist.count() == 1) {
@@ -482,13 +482,13 @@ static gn_error xxport_phone_write_entry( int phone_location, gn_memory_type mem
 		TQStringList a;
 		TQChar sem(';');
 		TQString sem_repl(TQString::tqfromLatin1(","));
-      		a.append( Addr->postOfficeBox().tqreplace( sem, sem_repl ) );
-		a.append( Addr->extended()     .tqreplace( sem, sem_repl ) );
-		a.append( Addr->street()       .tqreplace( sem, sem_repl ) );
-		a.append( Addr->locality()     .tqreplace( sem, sem_repl ) );
-		a.append( Addr->region()       .tqreplace( sem, sem_repl ) );
-		a.append( Addr->postalCode()   .tqreplace( sem, sem_repl ) );
-		a.append( Addr->country()      .tqreplace( sem, sem_repl ) );
+      		a.append( Addr->postOfficeBox().replace( sem, sem_repl ) );
+		a.append( Addr->extended()     .replace( sem, sem_repl ) );
+		a.append( Addr->street()       .replace( sem, sem_repl ) );
+		a.append( Addr->locality()     .replace( sem, sem_repl ) );
+		a.append( Addr->region()       .replace( sem, sem_repl ) );
+		a.append( Addr->postalCode()   .replace( sem, sem_repl ) );
+		a.append( Addr->country()      .replace( sem, sem_repl ) );
 		s = a.join(sem);
 		gn_lib_set_pb_subentry(state, -1 /* index to append entry */,
 			GN_PHONEBOOK_ENTRY_Postal, GN_PHONEBOOK_NUMBER_General, GN_TO(s));
@@ -639,7 +639,7 @@ bool GNOKIIXXPort::exportContacts( const KABC::AddresseeList &list, const TQStri
 	if (memstat.free >= (int) list.count()) {
 		if (KMessageBox::No == KMessageBox::questionYesNo(parentWidget(),
 			i18n("<qt>Do you want the selected contacts to be <b>appended</b> to "
-			     "the current mobile phonebook or should they <b>tqreplace</b> all "
+			     "the current mobile phonebook or should they <b>replace</b> all "
 			     "currently existing phonebook entries ?<br><br>"
 			     "Please note, that in case you choose to replace the phonebook "
 			     "entries, every contact in your phone will be deleted and only "
@@ -1015,7 +1015,7 @@ static gn_error read_phone_entries( const char *memtypestr, gn_memory_type memty
 		// try to split Name into FamilyName and GivenName
 		s = GN_FROM(entry.name).simplifyWhiteSpace();
 		a->setFormattedName(s); // set formatted name as in Phone
-		if (s.tqfind(',') == -1) {
+		if (s.find(',') == -1) {
 		  // assumed format: "givenname [... familyname]"
 		  addrlist = TQStringList::split(' ', s);
 		  if (addrlist.count() == 1) {
@@ -1264,13 +1264,13 @@ static gn_error xxport_phone_write_entry( int phone_location, gn_memory_type mem
 		TQStringList a;
 		TQChar sem(';');
 		TQString sem_repl(TQString::tqfromLatin1(","));
-      		a.append( Addr->postOfficeBox().tqreplace( sem, sem_repl ) );
-		a.append( Addr->extended()     .tqreplace( sem, sem_repl ) );
-		a.append( Addr->street()       .tqreplace( sem, sem_repl ) );
-		a.append( Addr->locality()     .tqreplace( sem, sem_repl ) );
-		a.append( Addr->region()       .tqreplace( sem, sem_repl ) );
-		a.append( Addr->postalCode()   .tqreplace( sem, sem_repl ) );
-		a.append( Addr->country()      .tqreplace( sem, sem_repl ) );
+      		a.append( Addr->postOfficeBox().replace( sem, sem_repl ) );
+		a.append( Addr->extended()     .replace( sem, sem_repl ) );
+		a.append( Addr->street()       .replace( sem, sem_repl ) );
+		a.append( Addr->locality()     .replace( sem, sem_repl ) );
+		a.append( Addr->region()       .replace( sem, sem_repl ) );
+		a.append( Addr->postalCode()   .replace( sem, sem_repl ) );
+		a.append( Addr->country()      .replace( sem, sem_repl ) );
 		s = a.join(sem);
 		strncpy(subentry->data.number, GN_TO(s), sizeof(subentry->data.number)-1);
 		entry.subentries_count++;
@@ -1430,7 +1430,7 @@ bool GNOKIIXXPort::exportContacts( const KABC::AddresseeList &list, const TQStri
 	if (memstat.free >= (int) list.count()) {
 		if (KMessageBox::No == KMessageBox::questionYesNo(parentWidget(),
 			i18n("<qt>Do you want the selected contacts to be <b>appended</b> to "
-			     "the current mobile phonebook or should they <b>tqreplace</b> all "
+			     "the current mobile phonebook or should they <b>replace</b> all "
 			     "currently existing phonebook entries ?<br><br>"
 			     "Please note, that in case you choose to replace the phonebook "
 			     "entries, every contact in your phone will be deleted and only "
diff --git a/kaddressbook/xxport/opera_xxport.cpp b/kaddressbook/xxport/opera_xxport.cpp
index 59fd52eaa..593960e83 100644
--- a/kaddressbook/xxport/opera_xxport.cpp
+++ b/kaddressbook/xxport/opera_xxport.cpp
@@ -84,7 +84,7 @@ KABC::AddresseeList OperaXXPort::importContacts( const TQString& ) const
     }
 
     if ( parseContact == true ) {
-      int sep = line.tqfind( '=' );
+      int sep = line.find( '=' );
       key = line.left( sep ).lower();
       value = line.mid( sep + 1 );
       if ( key == TQString::tqfromLatin1( "name" ) )
@@ -105,10 +105,10 @@ KABC::AddresseeList OperaXXPort::importContacts( const TQString& ) const
                               KABC::PhoneNumber::Fax | KABC::PhoneNumber::Home ) );
       else if ( key == TQString::tqfromLatin1( "postaladdress" ) ) {
         KABC::Address address( KABC::Address::Home );
-        address.setLabel( value.tqreplace( separator, "\n" ) );
+        address.setLabel( value.replace( separator, "\n" ) );
         addr.insertAddress( address );
       } else if ( key == TQString::tqfromLatin1( "description" ) )
-        addr.setNote( value.tqreplace( separator, "\n" ) );
+        addr.setNote( value.replace( separator, "\n" ) );
       else if ( key == TQString::tqfromLatin1( "url" ) )
         addr.setUrl( KURL( value ) );
       else if ( key == TQString::tqfromLatin1( "pictureurl" ) ) {
diff --git a/kaddressbook/xxport/vcard_xxport.cpp b/kaddressbook/xxport/vcard_xxport.cpp
index d917292f7..9dedae791 100644
--- a/kaddressbook/xxport/vcard_xxport.cpp
+++ b/kaddressbook/xxport/vcard_xxport.cpp
@@ -239,7 +239,7 @@ KABC::AddresseeList VCardXXPort::importContacts( const TQString& ) const
 
             // With version 3.0, vCards are encoded with UTF-8 by default. Otherwise, use tqfromLatin1()
             // and hope that are fields are encoded correctly.
-            if ( TQString::tqfromLatin1( rawData ).lower().tqcontains( "version:3.0" ) ) {
+            if ( TQString::tqfromLatin1( rawData ).lower().contains( "version:3.0" ) ) {
               vCardText = TQString::fromUtf8( rawData );
             } else {
               vCardText = TQString::tqfromLatin1( rawData );
diff --git a/kaddressbook/xxportselectdialog.cpp b/kaddressbook/xxportselectdialog.cpp
index f65348cfe..c90de6ca3 100644
--- a/kaddressbook/xxportselectdialog.cpp
+++ b/kaddressbook/xxportselectdialog.cpp
@@ -119,7 +119,7 @@ KABC::AddresseeList XXPortSelectDialog::contacts()
       const TQStringList tmp( (*it).categories() );
       TQStringList::ConstIterator tmpIt;
       for ( tmpIt = tmp.begin(); tmpIt != tmp.end(); ++tmpIt )
-        if ( categorieList.tqcontains( *tmpIt ) ) {
+        if ( categorieList.contains( *tmpIt ) ) {
           list.append( *it );
           break;
         }
diff --git a/kalarm/COPYING b/kalarm/COPYING
index b55fa1466..54754ab4b 100644
--- a/kalarm/COPYING
+++ b/kalarm/COPYING
@@ -59,7 +59,7 @@ modification follow.
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
-  0. This License applies to any program or other work which tqcontains
+  0. This License applies to any program or other work which contains
 a notice placed by the copyright holder saying it may be distributed
 under the terms of this General Public License.  The "Program", below,
 refers to any such program or work, and a "work based on the Program"
@@ -154,7 +154,7 @@ Sections 1 and 2 above provided that you also do one of the following:
 
 The source code for a work means the preferred form of the work for
 making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it tqcontains, plus any
+code means all the source code for all modules it contains, plus any
 associated interface definition files, plus the scripts used to
 control compilation and installation of the executable.  However, as a
 special exception, the source code distributed need not include
diff --git a/kalarm/alarmcalendar.cpp b/kalarm/alarmcalendar.cpp
index 8cbc7ceb7..7bdd767a6 100644
--- a/kalarm/alarmcalendar.cpp
+++ b/kalarm/alarmcalendar.cpp
@@ -164,7 +164,7 @@ AlarmCalendar* AlarmCalendar::createCalendar(CalID type, KConfig* config, TQStri
 	{
 		TQString readPath = config->readPathEntry(configKey, locateLocal("appdata", calendarNames[type]));
 		writePath = readPath;
-		writePath.tqreplace(vcsRegExp, ical);
+		writePath.replace(vcsRegExp, ical);
 		return new AlarmCalendar(readPath, type, writePath, configKey);
 	}
 }
diff --git a/kalarm/alarmevent.cpp b/kalarm/alarmevent.cpp
index 54f60a3c4..c5e487caa 100644
--- a/kalarm/alarmevent.cpp
+++ b/kalarm/alarmevent.cpp
@@ -890,22 +890,22 @@ TQString KAEvent::uid(const TQString& id, tqStatus status)
 	TQString result = id;
 	tqStatus oldtqStatus;
 	int i, len;
-	if ((i = result.tqfind(EXPIRED_UID)) > 0)
+	if ((i = result.find(EXPIRED_UID)) > 0)
 	{
 		oldtqStatus = EXPIRED;
 		len = EXPIRED_UID.length();
 	}
-	else if ((i = result.tqfind(DISPLAYING_UID)) > 0)
+	else if ((i = result.find(DISPLAYING_UID)) > 0)
 	{
 		oldtqStatus = DISPLAYING;
 		len = DISPLAYING_UID.length();
 	}
-	else if ((i = result.tqfind(TEMPLATE_UID)) > 0)
+	else if ((i = result.find(TEMPLATE_UID)) > 0)
 	{
 		oldtqStatus = TEMPLATE;
 		len = TEMPLATE_UID.length();
 	}
-	else if ((i = result.tqfind(KORGANIZER_UID)) > 0)
+	else if ((i = result.find(KORGANIZER_UID)) > 0)
 	{
 		oldtqStatus = KORGANIZER;
 		len = KORGANIZER_UID.length();
@@ -913,7 +913,7 @@ TQString KAEvent::uid(const TQString& id, tqStatus status)
 	else
 	{
 		oldtqStatus = ACTIVE;
-		i = result.tqfindRev('-');
+		i = result.findRev('-');
 		len = 1;
 	}
 	if (status != oldtqStatus  &&  i > 0)
@@ -927,7 +927,7 @@ TQString KAEvent::uid(const TQString& id, tqStatus status)
 			case TEMPLATE:    part = TEMPLATE_UID;  break;
 			case KORGANIZER:  part = KORGANIZER_UID;  break;
 		}
-		result.tqreplace(i, len, part);
+		result.replace(i, len, part);
 	}
 	return result;
 }
@@ -937,13 +937,13 @@ TQString KAEvent::uid(const TQString& id, tqStatus status)
  */
 KAEvent::tqStatus KAEvent::uidtqStatus(const TQString& uid)
 {
-	if (uid.tqfind(EXPIRED_UID) > 0)
+	if (uid.find(EXPIRED_UID) > 0)
 		return EXPIRED;
-	if (uid.tqfind(DISPLAYING_UID) > 0)
+	if (uid.find(DISPLAYING_UID) > 0)
 		return DISPLAYING;
-	if (uid.tqfind(TEMPLATE_UID) > 0)
+	if (uid.find(TEMPLATE_UID) > 0)
 		return TEMPLATE;
-	if (uid.tqfind(KORGANIZER_UID) > 0)
+	if (uid.find(KORGANIZER_UID) > 0)
 		return KORGANIZER;
 	return ACTIVE;
 }
@@ -2551,7 +2551,7 @@ bool KAEvent::adjustStartOfDay(const Event::List& events)
 	{
 		Event* event = *evit;
 		const TQStringList cats = event->categories();
-		if (cats.tqfind(DATE_ONLY_CATEGORY) != cats.end())
+		if (cats.find(DATE_ONLY_CATEGORY) != cats.end())
 		{
 			// It's an untimed event, so fix it
 			TQTime oldTime = event->dtStart().time();
@@ -2732,14 +2732,14 @@ void KAEvent::convertKCalEvents(KCal::Calendar& calendar, int version, bool adju
 					else
 						i = 0;     // invalid prefix
 				}
-				if (txt.tqfind(TEXT_PREFIX, i) == i)
+				if (txt.find(TEXT_PREFIX, i) == i)
 					i += TEXT_PREFIX.length();
-				else if (txt.tqfind(FILE_PREFIX, i) == i)
+				else if (txt.find(FILE_PREFIX, i) == i)
 				{
 					action = T_FILE;
 					i += FILE_PREFIX.length();
 				}
-				else if (txt.tqfind(COMMAND_PREFIX, i) == i)
+				else if (txt.find(COMMAND_PREFIX, i) == i)
 				{
 					action = T_COMMAND;
 					i += COMMAND_PREFIX.length();
@@ -2882,7 +2882,7 @@ void KAEvent::convertKCalEvents(KCal::Calendar& calendar, int version, bool adju
 			 * Convert simple LATECANCEL category to LATECANCEL:n where n = minutes late.
 			 */
 			TQStringList::Iterator it;
-			while ((it = cats.tqfind(LATE_CANCEL_CAT)) != cats.end())
+			while ((it = cats.find(LATE_CANCEL_CAT)) != cats.end())
 			{
 				cats.remove(it);
 				addLateCancel = true;
@@ -2915,7 +2915,7 @@ void KAEvent::convertKCalEvents(KCal::Calendar& calendar, int version, bool adju
 			 * Convert simple TMPLDEFTIME category to TMPLAFTTIME:n where n = minutes after.
 			 */
 			TQStringList::Iterator it;
-			while ((it = cats.tqfind(TEMPL_DEF_TIME_CAT)) != cats.end())
+			while ((it = cats.find(TEMPL_DEF_TIME_CAT)) != cats.end())
 			{
 				cats.remove(it);
 				cats.append(TQString("%1%2").tqarg(TEMPL_AFTER_TIME_CATEGORY).tqarg(0));
@@ -2929,7 +2929,7 @@ void KAEvent::convertKCalEvents(KCal::Calendar& calendar, int version, bool adju
 			 * Convert simple XTERM category to LOG:xterm:
 			 */
 			TQStringList::Iterator it;
-			while ((it = cats.tqfind(EXEC_IN_XTERM_CAT)) != cats.end())
+			while ((it = cats.find(EXEC_IN_XTERM_CAT)) != cats.end())
 			{
 				cats.remove(it);
 				cats.append(LOG_CATEGORY + xtermURL);
@@ -2952,7 +2952,7 @@ void KAEvent::convertKCalEvents(KCal::Calendar& calendar, int version, bool adju
 			 * alarm offsets to zero and deferral alarm offsets to be relative to
 			 * the next recurrence.
 			 */
-			bool dateOnly = (cats.tqfind(DATE_ONLY_CATEGORY) != cats.end());
+			bool dateOnly = (cats.find(DATE_ONLY_CATEGORY) != cats.end());
 			DateTime startDateTime(event->dtStart(), dateOnly);
 			// Convert the main alarm and get the next main trigger time from it
 			DateTime nextMainDateTime;
diff --git a/kalarm/alarmlistview.cpp b/kalarm/alarmlistview.cpp
index 3bbe042fd..546752ea2 100644
--- a/kalarm/alarmlistview.cpp
+++ b/kalarm/alarmlistview.cpp
@@ -507,8 +507,8 @@ TQString AlarmListViewItem::alarmTimeText(const DateTime& dateTime) const
 			if (!TQApplication::reverseLayout())    // don't try to align right-to-left languages
 			{
 				TQString fmt = locale->timeFormat();
-				int i = fmt.tqfind(TQRegExp("%[kl]"));   // check if leading zeroes are omitted
-				if (i >= 0  &&  i == fmt.tqfind('%'))   // and whether the hour is first
+				int i = fmt.find(TQRegExp("%[kl]"));   // check if leading zeroes are omitted
+				if (i >= 0  &&  i == fmt.find('%'))   // and whether the hour is first
 					mTimeHourPos = i;             // yes, so need to align
 			}
 		}
@@ -593,7 +593,7 @@ void AlarmListViewItem::paintCell(TQPainter* painter, const TQColorGroup& cg, in
 		if (mTimeHourPos >= 0)
 		{
 			// Need to pad out spacing to align times without leading zeroes
-			i = str.tqfind(" ~");
+			i = str.find(" ~");
 			if (i >= 0)
 			{
 				if (mDigitWidth < 0)
diff --git a/kalarm/alarmtext.cpp b/kalarm/alarmtext.cpp
index 6cf07c34f..8bd1d6847 100644
--- a/kalarm/alarmtext.cpp
+++ b/kalarm/alarmtext.cpp
@@ -184,8 +184,8 @@ TQString AlarmText::fromCalendarText(const TQString& text, bool& email)
 				dispText += mCcPrefix + lines[2].mid(mCcPrefixEn.length()) + '\n';
 			dispText += mDatePrefix + lines[n].mid(mDatePrefixEn.length()) + '\n';
 			dispText += mSubjectPrefix + lines[n+1].mid(mSubjectPrefixEn.length());
-			int i = text.tqfind(mSubjectPrefixEn);
-			i = text.tqfind('\n', i);
+			int i = text.find(mSubjectPrefixEn);
+			i = text.find('\n', i);
 			if (i > 0)
 				dispText += text.mid(i);
 			email = true;
@@ -224,8 +224,8 @@ TQString AlarmText::toCalendarText(const TQString& text)
 				calText += mCcPrefixEn + lines[2].mid(mCcPrefix.length()) + '\n';
 			calText += mDatePrefixEn + lines[n].mid(mDatePrefix.length()) + '\n';
 			calText += mSubjectPrefixEn + lines[n+1].mid(mSubjectPrefix.length());
-			int i = text.tqfind(mSubjectPrefix);
-			i = text.tqfind('\n', i);
+			int i = text.find(mSubjectPrefix);
+			i = text.find('\n', i);
 			if (i > 0)
 				calText += text.mid(i);
 			return calText;
@@ -271,12 +271,12 @@ TQString AlarmText::summary(const KAEvent& event, int maxLines, bool* truncated)
 	}
 	if (truncated)
 		*truncated = false;
-	if (text.tqcontains('\n') < maxLines)
+	if (text.contains('\n') < maxLines)
 		return text;
 	int newline = -1;
 	for (int i = 0;  i < maxLines;  ++i)
 	{
-		newline = text.tqfind('\n', newline + 1);
+		newline = text.find('\n', newline + 1);
 		if (newline < 0)
 			return text;       // not truncated after all !?!
 	}
diff --git a/kalarm/birthdaydlg.cpp b/kalarm/birthdaydlg.cpp
index 16e8a4ac1..71ab86922 100644
--- a/kalarm/birthdaydlg.cpp
+++ b/kalarm/birthdaydlg.cpp
@@ -256,7 +256,7 @@ void BirthdayDlg::updateSelectionList()
 				name = addressee.realName();
 			// Check if the birthday already has an alarm
 			TQString text = mPrefixText + name + mSuffixText;
-			bool alarmExists = (messageList.tqfind(text) != messageList.end());
+			bool alarmExists = (messageList.find(text) != messageList.end());
 			// Check if the birthday is already in the selection list
 			bool inSelectionList = false;
 			AddresseeItem* item = 0;
diff --git a/kalarm/calendarcompat.cpp b/kalarm/calendarcompat.cpp
index 134436a25..0d049fed0 100644
--- a/kalarm/calendarcompat.cpp
+++ b/kalarm/calendarcompat.cpp
@@ -81,21 +81,21 @@ int CalendarCompat::readKAlarmVersion(KCal::Calendar& calendar, TQString& subVer
 
 	// Find the KAlarm identifier
 	TQString progname = TQString::tqfromLatin1(" KAlarm ");
-	int i = prodid.tqfind(progname, 0, false);
+	int i = prodid.find(progname, 0, false);
 	if (i < 0)
 	{
 		// Older versions used KAlarm's translated name in the product ID, which
 		// could have created problems using a calendar in different locales.
 		progname = TQString(" ") + kapp->aboutData()->programName() + ' ';
-		i = prodid.tqfind(progname, 0, false);
+		i = prodid.find(progname, 0, false);
 		if (i < 0)
 			return 0;    // calendar wasn't created by KAlarm
 	}
 
 	// Extract the KAlarm version string
 	TQString ver = prodid.mid(i + progname.length()).stripWhiteSpace();
-	i = ver.tqfind('/');
-	int j = ver.tqfind(' ');
+	i = ver.find('/');
+	int j = ver.find(' ');
 	if (j >= 0  &&  j < i)
 		i = j;
 	if (i <= 0)
diff --git a/kalarm/dcophandler.cpp b/kalarm/dcophandler.cpp
index 7f49ca573..f1a08df8a 100644
--- a/kalarm/dcophandler.cpp
+++ b/kalarm/dcophandler.cpp
@@ -417,7 +417,7 @@ bool DcopHandler::convertRecurrence(DateTime& start, KARecurrence& recurrence, c
 	if (!start.isValid())
 		return false;
 	TQDateTime end;
-	if (endDateTime.tqfind('T') < 0)
+	if (endDateTime.find('T') < 0)
 	{
 		if (!start.isDateOnly())
 		{
diff --git a/kalarm/editdlg.cpp b/kalarm/editdlg.cpp
index 082627260..93b6bc5af 100644
--- a/kalarm/editdlg.cpp
+++ b/kalarm/editdlg.cpp
@@ -894,7 +894,7 @@ void EditAlarmDlg::setReadOnly()
 	mCmdCommandEdit->setReadOnly(mReadOnly);
 	mCmdScriptEdit->setReadOnly(mReadOnly);
 	for (int id = DISCARD_OUTPUT;  id < EXEC_IN_TERMINAL;  ++id)
-		((RadioButton*)mCmdOutputGroup->tqfind(id))->setReadOnly(mReadOnly);
+		((RadioButton*)mCmdOutputGroup->find(id))->setReadOnly(mReadOnly);
 
 	// Email alarm controls
 	mEmailToEdit->setReadOnly(mReadOnly);
@@ -1948,7 +1948,7 @@ bool EditAlarmDlg::checkText(TQString& result, bool showErrorMessage) const
 		enum Err { NONE = 0, BLANK, NONEXISTENT, DIRECTORY, UNREADABLE, NOT_TEXT_IMAGE };
 		Err err = NONE;
 		KURL url;
-		int i = alarmtext.tqfind(TQString::tqfromLatin1("/"));
+		int i = alarmtext.find(TQString::tqfromLatin1("/"));
 		if (i > 0  &&  alarmtext[i - 1] == ':')
 		{
 			url = alarmtext;
diff --git a/kalarm/eventlistviewbase.cpp b/kalarm/eventlistviewbase.cpp
index ce0257301..c463c8ad0 100644
--- a/kalarm/eventlistviewbase.cpp
+++ b/kalarm/eventlistviewbase.cpp
@@ -458,8 +458,8 @@ TQString EventListWhatsThisBase::text(const TQPoint& pt)
 	int column = -1;
 	TQPoint viewportPt = mListView->viewport()->mapFrom(mListView, pt);
 	TQRect frame = mListView->header()->frameGeometry();
-	if (frame.tqcontains(pt)
-	||  mListView->itemAt(TQPoint(mListView->itemMargin(), viewportPt.y())) && frame.tqcontains(TQPoint(pt.x(), frame.y())))
+	if (frame.contains(pt)
+	||  mListView->itemAt(TQPoint(mListView->itemMargin(), viewportPt.y())) && frame.contains(TQPoint(pt.x(), frame.y())))
 		column = mListView->header()->sectionAt(pt.x());
 	return mListView->whatsThisText(column);
 }
diff --git a/kalarm/functions.cpp b/kalarm/functions.cpp
index 26b16d226..2c44e161f 100644
--- a/kalarm/functions.cpp
+++ b/kalarm/functions.cpp
@@ -793,7 +793,7 @@ int getVersionNumber(const TQString& version, TQString* subVersion)
 	//      if the representation returned by this method changes.
 	if (subVersion)
 		*subVersion = TQString();
-	int count = version.tqcontains('.') + 1;
+	int count = version.contains('.') + 1;
 	if (count < 2)
 		return 0;
 	bool ok;
@@ -836,7 +836,7 @@ FileType fileType(const TQString& mimetype)
 
 	if (mimetype.startsWith(TQString::tqfromLatin1("image/")))
 		return Image;
-	int slash = mimetype.tqfind('/');
+	int slash = mimetype.find('/');
 	if (slash < 0)
 		return Unknown;
 	TQString type = mimetype.mid(slash + 1);
diff --git a/kalarm/kalarmapp.cpp b/kalarm/kalarmapp.cpp
index d37e0dcda..775821c5e 100644
--- a/kalarm/kalarmapp.cpp
+++ b/kalarm/kalarmapp.cpp
@@ -475,7 +475,7 @@ int KAlarmApp::newInstance()
 					TQCString colourText = args->getOption("color");
 					if (static_cast<const char*>(colourText)[0] == '0'
 					&&  tolower(static_cast<const char*>(colourText)[1]) == 'x')
-						colourText.tqreplace(0, 2, "#");
+						colourText.replace(0, 2, "#");
 					bgColour.setNamedColor(colourText);
 					if (!bgColour.isValid())
 						USAGE(i18n("Invalid %1 parameter").tqarg(TQString::tqfromLatin1("--color")))
@@ -486,7 +486,7 @@ int KAlarmApp::newInstance()
 					TQCString colourText = args->getOption("colorfg");
 					if (static_cast<const char*>(colourText)[0] == '0'
 					&&  tolower(static_cast<const char*>(colourText)[1]) == 'x')
-						colourText.tqreplace(0, 2, "#");
+						colourText.replace(0, 2, "#");
 					fgColour.setNamedColor(colourText);
 					if (!fgColour.isValid())
 						USAGE(i18n("Invalid %1 parameter").tqarg(TQString::tqfromLatin1("--colorfg")))
@@ -1704,43 +1704,43 @@ ShellProcess* KAlarmApp::doShellCommand(const TQString& command, const KAEvent&
 	{
 		// Execute the command in a terminal window.
 		cmd = Preferences::cmdXTermCommand();
-		cmd.tqreplace("%t", aboutData()->programName());     // set the terminal window title
-		if (cmd.tqfind("%C") >= 0)
+		cmd.replace("%t", aboutData()->programName());     // set the terminal window title
+		if (cmd.find("%C") >= 0)
 		{
 			// Execute the command from a temporary script file
 			if (flags & ProcData::TEMP_FILE)
-				cmd.tqreplace("%C", command);    // the command is already calling a temporary file
+				cmd.replace("%C", command);    // the command is already calling a temporary file
 			else
 			{
 				tmpXtermFile = createTempScriptFile(command, true, event, *alarm);
 				if (tmpXtermFile.isEmpty())
 					return 0;
-				cmd.tqreplace("%C", tmpXtermFile);    // %C indicates where to insert the command
+				cmd.replace("%C", tmpXtermFile);    // %C indicates where to insert the command
 			}
 		}
-		else if (cmd.tqfind("%W") >= 0)
+		else if (cmd.find("%W") >= 0)
 		{
 			// Execute the command from a temporary script file,
 			// with a sleep after the command is executed
 			tmpXtermFile = createTempScriptFile(command + TQString::tqfromLatin1("\nsleep 86400\n"), true, event, *alarm);
 			if (tmpXtermFile.isEmpty())
 				return 0;
-			cmd.tqreplace("%W", tmpXtermFile);    // %w indicates where to insert the command
+			cmd.replace("%W", tmpXtermFile);    // %w indicates where to insert the command
 		}
-		else if (cmd.tqfind("%w") >= 0)
+		else if (cmd.find("%w") >= 0)
 		{
 			// Append a sleep to the command.
 			// Quote the command in case it contains characters such as [>|;].
 			TQString exec = KShellProcess::quote(command + TQString::tqfromLatin1("; sleep 86400"));
-			cmd.tqreplace("%w", exec);    // %w indicates where to insert the command string
+			cmd.replace("%w", exec);    // %w indicates where to insert the command string
 		}
 		else
 		{
 			// Set the command to execute.
 			// Put it in quotes in case it contains characters such as [>|;].
 			TQString exec = KShellProcess::quote(command);
-			if (cmd.tqfind("%c") >= 0)
-				cmd.tqreplace("%c", exec);    // %c indicates where to insert the command string
+			if (cmd.find("%c") >= 0)
+				cmd.replace("%c", exec);    // %c indicates where to insert the command string
 			else
 				cmd.append(exec);           // otherwise, simply append the command string
 		}
@@ -2118,7 +2118,7 @@ static bool convInterval(const TQCString& timeParam, KARecurrence::Type& recurTy
 			break;
 		case 'M':
 		{
-			int i = timeString.tqfind('H');
+			int i = timeString.find('H');
 			if (i < 0)
 			{
 				if (!allowMonthYear)
diff --git a/kalarm/kalarmd/adcalendar.cpp b/kalarm/kalarmd/adcalendar.cpp
index e1f0823ae..409ab88f0 100644
--- a/kalarm/kalarmd/adcalendar.cpp
+++ b/kalarm/kalarmd/adcalendar.cpp
@@ -51,7 +51,7 @@ ADCalendar::ADCalendar(const TQString& url, const TQCString& appname)
 		kdError(5900) << "ADCalendar::ADCalendar(" << url << "): calendar already exists" << endl;
 		assert(0);
 	}
-	mUrlIndex = mCalendarUrls.tqfindIndex(url);    // get unique index for this URL
+	mUrlIndex = mCalendarUrls.findIndex(url);    // get unique index for this URL
 	if (mUrlIndex < 0)
 	{
 		mUrlIndex = static_cast<int>(mCalendarUrls.count());
@@ -142,7 +142,7 @@ bool ADCalendar::setLoadedConnected()
 */
 bool ADCalendar::eventHandled(const KCal::Event* event, const TQValueList<TQDateTime>& alarmtimes)
 {
-	EventsMap::ConstIterator it = mEventsHandled.tqfind(EventKey(event->uid(), mUrlIndex));
+	EventsMap::ConstIterator it = mEventsHandled.find(EventKey(event->uid(), mUrlIndex));
 	if (it == mEventsHandled.end())
 		return false;
 
@@ -170,7 +170,7 @@ void ADCalendar::setEventHandled(const TQString& eventID)
 	EventKey key(eventID, mUrlIndex);
 
 	// Remove it from the pending list, and add it to the handled list
-	EventsMap::Iterator it = mEventsPending.tqfind(key);
+	EventsMap::Iterator it = mEventsPending.find(key);
 	if (it != mEventsPending.end())
 	{
 		setEventInMap(mEventsHandled, key, it.data().alarmTimes, it.data().eventSequence);
@@ -197,7 +197,7 @@ void ADCalendar::setEventPending(const KCal::Event* event, const TQValueList<TQD
 */
 void ADCalendar::setEventInMap(EventsMap& map, const EventKey& key, const TQValueList<TQDateTime>& alarmtimes, int sequence)
 {
-	EventsMap::Iterator it = map.tqfind(key);
+	EventsMap::Iterator it = map.find(key);
 	if (it != map.end())
 	{
 		// Update the existing entry for the event
diff --git a/kalarm/kalarmd/alarmdaemon.cpp b/kalarm/kalarmd/alarmdaemon.cpp
index c14a1bf5b..a8460167f 100644
--- a/kalarm/kalarmd/alarmdaemon.cpp
+++ b/kalarm/kalarmd/alarmdaemon.cpp
@@ -374,7 +374,7 @@ void AlarmDaemon::checkAlarms(ADCalendar* cal)
 	for (TQValueList<KCal::Alarm*>::ConstIterator it = alarms.begin();  it != alarms.end();  ++it)
 	{
 		KCal::Event* event = dynamic_cast<KCal::Event*>((*it)->tqparent());
-		if (!event  ||  eventsDone.tqfind(event) != eventsDone.end())
+		if (!event  ||  eventsDone.find(event) != eventsDone.end())
 			continue;   // either not an event, or the event has already been processed
 		eventsDone += event;
 		const TQString& eventID = event->uid();
@@ -385,7 +385,7 @@ void AlarmDaemon::checkAlarms(ADCalendar* cal)
 		// The times for non-due alarms are set invalid in 'alarmtimes'.
 		bool recurs = event->doesRecur();
 		const TQStringList cats = event->categories();
-		bool floats = (cats.tqfind(TQString::tqfromLatin1("DATE")) != cats.end());
+		bool floats = (cats.find(TQString::tqfromLatin1("DATE")) != cats.end());
 		TQDateTime nextDateTime = event->dtStart();
 		if (recurs)
 		{
@@ -487,7 +487,7 @@ bool AlarmDaemon::notifyEvent(ADCalendar* calendar, const TQString& eventID)
 	{
 		// It's running, but check if it has created our DCOP interface yet
 		QCStringList objects = kapp->dcopClient()->remoteObjects(appname);
-		if (objects.tqfind(client->dcopObject()) == objects.end())
+		if (objects.find(client->dcopObject()) == objects.end())
 			ready = false;
 	}
 	if (!ready)
diff --git a/kalarm/kalarmd/clientinfo.cpp b/kalarm/kalarmd/clientinfo.cpp
index 5475cce57..e8c5ea6c7 100644
--- a/kalarm/kalarmd/clientinfo.cpp
+++ b/kalarm/kalarmd/clientinfo.cpp
@@ -72,7 +72,7 @@ ClientInfo* ClientInfo::get(const TQCString& appName)
 {
 	if (appName.isEmpty())
 		return 0;
-	TQMap<TQCString, ClientInfo*>::ConstIterator it = mClients.tqfind(appName);
+	TQMap<TQCString, ClientInfo*>::ConstIterator it = mClients.find(appName);
 	if (it == mClients.end())
 		return 0;
 	return it.data();
@@ -104,7 +104,7 @@ void ClientInfo::clear()
 */
 void ClientInfo::remove(const TQCString& appName)
 {
-	TQMap<TQCString, ClientInfo*>::Iterator it = mClients.tqfind(appName);
+	TQMap<TQCString, ClientInfo*>::Iterator it = mClients.find(appName);
 	if (it != mClients.end())
 		delete it.data();
 }
diff --git a/kalarm/kalarmui.rc b/kalarm/kalarmui.rc
index 97d05056a..686271707 100644
--- a/kalarm/kalarmui.rc
+++ b/kalarm/kalarmui.rc
@@ -11,7 +11,7 @@
   <Action name="edit_undo" />
   <Action name="edit_redo" />
   <Separator />
-  <Action name="edit_tqfind"/>
+  <Action name="edit_find"/>
  </ToolBar>
  <MenuBar>
   <Menu name="file" >
